=== debian/changelog ===
vdr-plugin-live (0.3.0+git20160123-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 869ac69)
  * Removed build dependency to libboost - this is not required for GCC >= 4
  * Added fixes for GCC6 (Closes: #811803)

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Jan 2016 20:04:39 +0100

vdr-plugin-live (0.3.0+git20150930-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 6ea279a)

 -- Tobias Grimm <etobi@debian.org>  Wed, 30 Sep 2015 21:46:50 +0200

vdr-plugin-live (0.3.0+git20150213-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:53:36 +0100

vdr-plugin-live (0.3.0+git20150213-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:48 +0100

vdr-plugin-live (0.3.0+git20150213-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 894daa8)
  * Standards-Version: 3.9.6
  * Build-depend on vdr-dev (>= 2.1.10)
  * Build with vdr-plugin-live-dbg for debug symbols

 -- Tobias Grimm <etobi@debian.org>  Fri, 13 Feb 2015 19:03:55 +0100
