=== debian/watch ===
version=3

http://live.vdr-developer.org/downloads/vdr-live-(.*)\.tar\.gz
