=== debian/changelog ===
vdr-plugin-live (2.3.1-2) unstable; urgency=medium

  * Updated debian/watch to point to new git repository
  * Updated debian/copyright
  * Dropped vdr-plugin-live-dbg - migration to automatically created debug
    symbol package

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Sep 2017 23:16:40 +0200

vdr-plugin-live (2.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #853699)
  * Build-depend on vdr-dev >= 2.3.8
  * Dropped all patches - fixed upstream
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Wed, 23 Aug 2017 08:59:13 +0200
