## vdr-plugin-live 3.1.3

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
+RESDIR = $(call PKGCFG,resdir)
 #
 TMPDIR ?= /tmp
 
@@ -37,11 +38,21 @@
 include global.mk
 
 ### Determine tntnet and cxxtools versions:
+TNTNET-CONFIG := $(shell which tntnet-config 2>/dev/null)
+ifeq ($(TNTNET-CONFIG),)
+TNTVERSION = $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXFLAGS  += $(shell pkg-config --cflags tntnet)
+LIBS      += $(shell pkg-config --libs tntnet)
+else
 TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-
 CXXFLAGS  += $(shell tntnet-config --cxxflags)
 LIBS      += $(shell tntnet-config --libs)
+endif
+
+# $(info $$TNTVERSION is [${TNTVERSION}])
+
+CXXTOOLVER = $(shell cxxtools-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+
 
 ### Optional configuration features
 PLUGINFEATURES :=
@@ -72,13 +83,14 @@
 
 ### Includes and Defines (add further entries here):
 DEFINES	+= -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' -DTNTVERSION=$(TNTVERSION) -DCXXTOOLVER=$(CXXTOOLVER)
+DEFINES	+= -DDISABLE_TEMPLATES_COLLIDING_WITH_STL
 VERSIONSUFFIX = gen_version_suffix.h
 
 ### The object files (add further files here):
 PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
               tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
               grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
-              users.o osd_status.o
+              users.o osd_status.o ffmpeg.o
 PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))
 
 WEB_LIB_PAGES := libpages.a
@@ -221,8 +233,14 @@
 .PHONY: install-lib
 install-lib: lib recursive-soinst
 
+.PHONY: install-web
+install-web:
+	@mkdir -p $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)
+	@cp -a live/* $(DESTDIR)$(RESDIR)/plugins/$(PLUGIN)/
+
+
 .PHONY: install
-install: install-lib install-i18n
+install: install-lib install-i18n install-web
 
 .PHONY: dist
 dist: $(I18Npo)
