=== pages/Makefile ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 ### Additional options to silence TNTNET warnings
 TNTFLAGS ?= -Wno-overloaded-virtual -Wno-unused-variable
+
+DEFINES += -DDISABLE_TEMPLATES_COLLIDING_WITH_STL
 
 ### Includes and Defines (add further entries here):
 INCLUDES += -I$(VDRDIR)/include -I..
@@ -11,11 +13,12 @@
 OBJS := menu.o recordings.o schedule.o multischedule.o screenshot.o   \
         timers.o whats_on.o switch_channel.o keypress.o remote.o	\
         channels_widget.o edit_timer.o error.o pageelems.o tooltip.o	\
-        vlc.o searchtimers.o edit_searchtimer.o searchresults.o	\
+        searchtimers.o edit_searchtimer.o searchresults.o	\
         searchepg.o login.o ibox.o xmlresponse.o play_recording.o	\
         pause_recording.o stop_recording.o ffw_recording.o		\
         rwd_recording.o setup.o content.o epginfo.o timerconflicts.o  \
-        recstream.o users.o edit_user.o edit_recording.o osd.o
+        recstream.o users.o edit_user.o edit_recording.o osd.o	\
+        playlist.o stream.o stream_data.o
 SRCS := $(patsubst %.o,%.cpp,$(OBJS))
 ESRCS := $(patsubst %.o,%.ecpp,$(OBJS))
 ESRCS_DEPS := $(patsubst %.o,.%.edep,$(OBJS))
