=== debian/changelog ===
vdr-plugin-live (3.1.3-3build1) noble; urgency=high

  * No change rebuild against libtntnet13t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:02:35 +0200

vdr-plugin-live (3.1.3-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Nov 2023 22:12:14 +0100

vdr-plugin-live (3.1.3-2) unstable; urgency=medium

  * Fix debian/watch
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 20:01:14 +0100

vdr-plugin-live (3.1.3-1) unstable; urgency=medium

  * Project moved to GitHub
  * New upstream version 3.1.3 (Closes: #984388)
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * Use the newer libpcre2 instead of libcre3 (Closes: #999934)

 -- Tobias Grimm <etobi@debian.org>  Wed, 15 Dec 2021 22:07:38 +0100

vdr-plugin-live (2.3.1-5) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:12:52 +0100

vdr-plugin-live (2.3.1-4) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 08:41:14 +0200

vdr-plugin-live (2.3.1-3) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Don't do a recursive chown on /var/lib/vdr/plugins/live

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:23:15 +0200
