=== debian/changelog ===
vdr-plugin-live (3.3.7-1) unstable; urgency=medium

  * new upstream version
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/patches: patch applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 Oct 2024 18:12:14 +0200
