=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: vdr-plugin-live
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
+Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>
 	, Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, gettext, libpcre2-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/MarkusEh/vdr-plugin-live
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-live.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-live
