## vdr-plugin-live 3.4.1

=== debian/changelog ===
vdr-plugin-live (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1
  * add myself to uploaders
  * replace build-depends pkg-config with pkgconf

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Feb 2025 18:14:24 +0100
