=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-	, Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config,
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Thorsten Alteholz <debian@alteholz.de>,
+ Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf,
  libtntnet-dev (>= 1.6.0.1-1.1), libcxxtools-dev (>= 1.4.3.6-1.1),
  libssl-dev, gettext, libpcre2-dev
 Standards-Version: 4.7.0
