## vdr-plugin-live 3.4.2

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,11 @@
 VERSION := $(shell awk '/$(HASH)define LIVEVERSION/ { print $$3 }' setup.h | sed -e 's/[";]//g')
 # $(info $$VERSION is [${VERSION}])
 
-### Check for libpcre2
-HAVE_PCRE2 := $(shell if pkg-config --exists libpcre2-8; then echo "1"; else echo "0"; fi )
+PKG_CONFIG ?= pkg-config
 
 ### The directory environment:
 # Use package data if installed...otherwise assume we're under the VDR source directory:
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." $(PKG_CONFIG) --variable=$(1) vdr))
 LIBDIR := $(call PKGCFG,libdir)
 LOCDIR := $(call PKGCFG,locdir)
 CFGDIR := $(call PKGCFG,configdir)
@@ -43,9 +42,9 @@
 ### Determine tntnet and cxxtools versions:
 TNTNET-CONFIG := $(shell which tntnet-config 2>/dev/null)
 ifeq ($(TNTNET-CONFIG),)
-TNTVERSION := $(shell pkg-config --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
-CXXFLAGS  += $(shell pkg-config --cflags tntnet)
-LIBS      += $(shell pkg-config --libs tntnet)
+TNTVERSION := $(shell $(PKG_CONFIG) --modversion tntnet | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
+CXXFLAGS  += $(shell $(PKG_CONFIG) --cflags tntnet)
+LIBS      += $(shell $(PKG_CONFIG) --libs tntnet)
 else
 TNTVERSION = $(shell tntnet-config --version | sed -e's/\.//g' | sed -e's/pre.*//g' | awk '/^..$$/ { print $$1."000"} /^...$$/ { print $$1."00"} /^....$$/ { print $$1."0" } /^.....$$/ { print $$1 }')
 CXXFLAGS  += $(shell tntnet-config --cxxflags)
@@ -59,11 +58,6 @@
 
 ### Optional configuration features
 PLUGINFEATURES :=
-ifeq ($(HAVE_PCRE2),1)
-	PLUGINFEATURES += -DHAVE_PCRE2
-	CXXFLAGS       += $(shell pkg-config --cflags libpcre2-8)
-	LIBS           += $(shell pkg-config --libs   libpcre2-8)
-endif
 
 # -Wno-deprecated-declarations .. get rid of warning: ‘template<class> class std::auto_ptr’ is deprecated
 CXXFLAGS += -std=c++17 -Wfatal-errors -Wundef -Wno-deprecated-declarations
@@ -90,10 +84,10 @@
 VERSIONSUFFIX = gen_version_suffix.h
 
 ### The object files (add further files here):
-PLUGINOBJS := $(PLUGIN).o thread.o tntconfig.o setup.o i18n.o timers.o \
-              tools.o recman.o tasks.o status.o epg_events.o epgsearch.o \
-              grab.o md5.o filecache.o livefeatures.o preload.o timerconflict.o \
-              users.o osd_status.o ffmpeg.o StringMatch.o xxhash.o
+PLUGINOBJS := $(PLUGIN).o recman.o epg_events.o thread.o tntconfig.o setup.o \
+              timers.o tools.o status.o epgsearch.o \
+              md5.o filecache.o livefeatures.o preload.o timerconflict.o \
+              users.o osd_status.o ffmpeg.o xxhash.o i18n.o
 PLUGINSRCS := $(patsubst %.o,%.cpp,$(PLUGINOBJS))
 
 WEB_LIB_PAGES := libpages.a
