=== debian/changelog ===
vdr-plugin-live (3.4.2-1) unstable; urgency=medium

  * New upstream version 3.4.2
  * update my maintainer email

 -- Christoph Martin <chrism@debian.org>  Fri, 07 Mar 2025 10:17:06 +0100
